node 版本管理工具--nvm

发布时间:2020-03-26 06:00:30发布者:Mr.Zhang阅读(159)

  使用背景:  项目中使用了jquery-weui的左滑删除组件,但在苹果上使用会有左滑点击穿透的现象,只能改源码了。

在github上找,发现是gulp构建的,但版本很低,对于node版本大概要4.5.0才行,本机node版本过高用不了,所以把

node卸载了装nvm来管理。

  使用步骤:

    1. 卸载本机node

    2. 安装nvm  安装路径不要有空格 下载地址: https://github.com/coreybutler/nvm-windows/releases

    3. 直接使用nvm安装node会很慢,所以先设置镜像,去nvm安装路径下settings文件添加以下地址

      node_mirror: https://npm.taobao.org/mirrors/node/

      npm_mirror: https://npm.taobao.org/mirrors/npm/

    4. 在命令行使用命令: nvm install 12.4.0 安装对应版本就好,这里是安装12.4.0

    5. nvm list命令是查看node版本

    6. nvm use [版本号] 是切换node版本

    7. 用node -v即可查看node版本是否切换成功,接下来就是node正常使用了





本文转自博客园,原文地址:https://www.cnblogs.com/qiuxd/p/12568930.html